commit:     3da173897a05735b80c9cf62bbd9d9966d92288c
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  4 20:54:15 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Nov  4 20:55:32 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3da17389

dev-libs/pcre++: add USE=static-libs support

 dev-libs/pcre++/pcre++-0.9.5-r1.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/dev-libs/pcre++/pcre++-0.9.5-r1.ebuild 
b/dev-libs/pcre++/pcre++-0.9.5-r1.ebuild
index 751000a..0003bf2 100644
--- a/dev-libs/pcre++/pcre++-0.9.5-r1.ebuild
+++ b/dev-libs/pcre++/pcre++-0.9.5-r1.ebuild
@@ -14,7 +14,7 @@ 
SRC_URI="http://www.daemon.de/files/mirror/ftp.daemon.de/scip/Apps/${PN}/${P}.ta
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 s390 sh sparc x86"
-IUSE=""
+IUSE="static-libs"
 
 DEPEND="dev-libs/libpcre"
 RDEPEND="${DEPEND}"
@@ -25,11 +25,19 @@ src_prepare() {
        EPATCH_FORCE="yes" \
        epatch
 
+       # Disable examples which we never run/install.
+       echo > examples/Makefile.am || die
+
        eautoreconf
 }
 
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
 src_install() {
        default
+       use static-libs || find "${ED}"/usr -name 'lib*.la' -delete
 
        dohtml -r doc/html/.
        doman doc/man/man3/Pcre.3

Reply via email to